package com.example.proplayer;

import android.content.Context;
import android.database.Cursor;
import android.media.MediaPlayer;
import android.net.Uri;
import android.provider.MediaStore;

import androidx.test.platform.app.InstrumentationRegistry;
import androidx.test.ext.junit.runners.AndroidJUnit4;

import org.junit.Test;
import org.junit.runner.RunWith;


import static org.junit.Assert.*;

import java.io.IOException;
import java.util.ArrayList;


@RunWith(AndroidJUnit4.class)
public class audioIsPlayingTest extends AudioService{
    @Test
    public void useAppContext() {
        // Context of the app under test.
        Context appContext = InstrumentationRegistry.getInstrumentation().getTargetContext();
        assertEquals("com.example.proplayer", appContext.getPackageName());
    }

    @Test
    public void audioIsPlaying() throws IOException {
        Context appContext = InstrumentationRegistry.getInstrumentation().getTargetContext();

        ArrayList<Audios> aux = new ArrayList<>();
        Uri uri = MediaStore.Audio.Media.EXTERNAL_CONTENT_URI;

        String[] projection = {
                MediaStore.Audio.Media.ALBUM,
                MediaStore.Audio.Media.TITLE,
                MediaStore.Audio.Media.DURATION,
                MediaStore.Audio.Media.DATA,
                MediaStore.Audio.Media.ARTIST,
                MediaStore.Audio.Media._ID
        };
        Cursor cursor = appContext.getContentResolver().query(uri, projection, null, null, null);

        if(cursor != null){
            while(cursor.moveToNext()){
                String album = cursor.getString(0);
                String title = cursor.getString(1);
                String duration = cursor.getString(2);
                String path = cursor.getString(3);
                String artist = cursor.getString(4);
                String id = cursor.getString(5);

                Audios audios = new Audios(path, title, artist, album, duration, id);
                aux.add(audios);
            }
            cursor.close();
        }

        Uri myUri = Uri.parse(aux.get(0).getPath());
        MediaPlayer mp;
        mp = MediaPlayer.create(appContext, myUri);

        assertFalse(mp.isPlaying());
        mp.start();
        assertTrue(mp.isPlaying());
        mp.stop();
        assertFalse(mp.isPlaying());
    }

}